> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Lấy lịch sử nộp rút ký quỹ



## OpenAPI

````yaml /vi/openapi/fireant-v1.yaml get /mxv/account/margin-transactions
openapi: 3.1.0
info:
  version: v1
  title: FireAnt RESTFUL API
  description: Tài liệu đặc tả FireAnt RESTFUL API v1.0.0
servers:
  - url: https://api.fireant.vn
security: []
paths:
  /mxv/account/margin-transactions:
    get:
      tags:
        - MXV
      summary: Lấy lịch sử nộp rút ký quỹ
      operationId: MXV_GetMarginTransactions
      parameters:
        - name: status
          in: query
          description: >-
            Trạng thái (Bắt buộc): PENDING_FOR_MEMBER, PENDING_LEVEL1,
            PENDING_LEVEL2, PENDING_FOR_BANK, APPROVED, REJECTED. Có thể truyền
            nhiều giá trị cách nhau bởi dấu phẩy
          required: true
          schema:
            type: string
        - name: accountType
          in: query
          description: Loại tài khoản (Optional) (0 = FUTURE, 1 = NANO, 2 = MXV)
          required: false
          schema:
            enum:
              - 0
              - 1
              - 2
            type: integer
            format: int32
        - name: limit
          in: query
          description: 'Số lượng bản ghi tối đa (mặc định: 100)'
          required: false
          schema:
            format: int32
            type: integer
        - name: offset
          in: query
          description: 'Vị trí bắt đầu (mặc định: 0)'
          required: false
          schema:
            format: int32
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/FireAnt.Api.Models.MXV.MXVMarginTransaction
            text/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/FireAnt.Api.Models.MXV.MXVMarginTransaction
      security:
        - oauth2:
            - user-data-read
components:
  schemas:
    FireAnt.Api.Models.MXV.MXVMarginTransaction:
      type: object
      properties:
        transactionId:
          type: string
        investorCode:
          type: string
        transactionType:
          type: string
        amount:
          format: double
          type: number
        approvingType:
          type: string
        description:
          type: string
        status:
          type: string
        pendingData:
          $ref: >-
            #/components/schemas/FireAnt.Api.Models.MXV.MXVMarginTransactionPendingData
        nestedObjInfo:
          $ref: >-
            #/components/schemas/FireAnt.Api.Models.MXV.MXVMarginTransactionNestedObj
        type:
          type: string
    FireAnt.Api.Models.MXV.MXVMarginTransactionPendingData:
      type: object
      properties:
        queryValue:
          type: string
        action:
          type: string
        queryingValue:
          type: string
    FireAnt.Api.Models.MXV.MXVMarginTransactionNestedObj:
      type: object
      properties:
        memberCode:
          type: string
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          scopes:
            accounts-read: Đọc danh sách tài khoản giao dịch chứng khoán
            accounts-write: Liên kết tài khoản chứng khoán
            orders-read: Đọc danh sách lệnh giao dịch chứng khoán
            orders-write: Đặt, sửa, hủy lệnh giao dịch chứng khoán
            companies-read: Đọc thông tin doanh nghiệp
            companies-write: Tạo mới, cập nhật, xóa thông tin doanh nghiệp
            individuals-read: Đọc thông tin cá nhân
            individuals-write: Tạo mới, cập nhật, xóa thông tin cá nhân
            finance-read: Đọc thông tin tài chính
            finance-write: Tạo mới, cập nhật, xóa thông tin tài chính
            posts-write: Đăng bài viết
            posts-read: Lấy nội dung các bài viết của cộng đồng
            symbols-read: Đọc thông tin mã chứng khoán
            symbols-write: Tạo mới, cập nhật, xóa mã chứng khoán
            users-read: Đọc dữ liệu công khai của người dùng
            user-data-read: Đọc tất cả dữ liệu của người dùng hiện tại
            user-data-write: Cập nhật tất cả dữ liệu của người dùng hiện tại
            search: Tìm kiếm
            academy-read: Đọc dữ liệu các khóa học
            academy-write: Đăng ký khóa học
            blog-read: Đọc dữ liệu blog
            investopedia-read: Đọc dữ liệu thuật ngữ
            commodities-read: Đọc dữ liệu hàng hóa phái sinh
            all_claims: All
            roles: Role
          authorizationUrl: https://accounts.fireant.vn/connect/authorize
      description: OAuth2 Implicit Grant

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.